Name:           libportal
Version:        0.6
Release:        1
Summary:        Flatpak portal library
License:        LGPLv3
Url:            https://github.com/flatpak/libportal
Source:         https://github.com/flatpak/libportal/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  glibc-devel gcc gcc-c++ meson vala gi-docgen 
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

%package devel
Summary: Development files and libraries for %name
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
%name provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with %name.

%package_help

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/libportal.so.1*
%{_libdir}/libportal-gtk3.so.1*
%{_libdir}/libportal-gtk4.so.1*
%{_libdir}/libportal-qt5.so.1*

%files devel
%{_datadir}/gir-1.0/Xdp-1.0.gir
%{_datadir}/gir-1.0/XdpGtk3-1.0.gir
%{_datadir}/gir-1.0/XdpGtk4-1.0.gir
%{_datadir}/vala/vapi/libportal.deps
%{_datadir}/vala/vapi/libportal.vapi
%{_datadir}/vala/vapi/libportal-gtk3.deps
%{_datadir}/vala/vapi/libportal-gtk3.vapi
%{_datadir}/vala/vapi/libportal-gtk4.deps
%{_datadir}/vala/vapi/libportal-gtk4.vapi
%{_includedir}/libportal
%{_includedir}/libportal-gtk3
%{_includedir}/libportal-gtk4
%{_includedir}/libportal-qt5
%{_libdir}/libportal.so
%{_libdir}/libportal-gtk3.so
%{_libdir}/libportal-gtk4.so
%{_libdir}/libportal-qt5.so
%{_libdir}/pkgconfig/libportal.pc
%{_libdir}/pkgconfig/libportal-gtk3.pc
%{_libdir}/pkgconfig/libportal-gtk4.pc
%{_libdir}/pkgconfig/libportal-qt5.pc

%files help
%doc README.md NEWS
%{_datadir}/doc/libportal-1

%changelog
* Mon Jan 2 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 0.6-1
- Update to 0.6

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.5-1
- Update to 0.5

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.3-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Thu Jun 24 2021 Wenlong Ding <wenlong.ding@turbolinux.com.cn> - 0.3-1
- Init package.
